io.flutter.embedding.android

## Class FlutterFragmentActivity.NewEngineIntentBuilder

- java.lang.Object
- - io.flutter.embedding.android.FlutterFragmentActivity.NewEngineIntentBuilder

- Enclosing class:
    FlutterFragmentActivity

      public static class FlutterFragmentActivity.NewEngineIntentBuilder
      extends Object

  Builder to create an `Intent` that launches a `FlutterFragmentActivity` with a new `FlutterEngine` and the desired configuration.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NewEngineIntentBuilder(Class<? extends FlutterFragmentActivity> activityClass)` Constructor that allows this `NewEngineIntentBuilder` to be used by subclasses of `FlutterFragmentActivity`.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `FlutterFragmentActivity.NewEngineIntentBuilder` | `backgroundMode(FlutterActivityLaunchConfigs.BackgroundMode backgroundMode)` The mode of `FlutterFragmentActivity`'s background, either `FlutterActivityLaunchConfigs.BackgroundMode.opaque` or `FlutterActivityLaunchConfigs.BackgroundMode.transparent`.
    `Intent` | `build(Context context)` Creates and returns an `Intent` that will launch a `FlutterFragmentActivity` with the desired configuration.
    `FlutterFragmentActivity.NewEngineIntentBuilder` | `initialRoute(String initialRoute)` The initial route that a Flutter app will render in this `FlutterFragmentActivity`, defaults to "/".

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NewEngineIntentBuilder

          public NewEngineIntentBuilder(@NonNull
                                        Class<? extends FlutterFragmentActivity> activityClass)

      Constructor that allows this `NewEngineIntentBuilder` to be used by subclasses of `FlutterFragmentActivity`.

      Subclasses of `FlutterFragmentActivity` should provide their own static version of `FlutterFragmentActivity.withNewEngine()`, which returns an instance of `NewEngineIntentBuilder` constructed with a `Class` reference to the `FlutterFragmentActivity` subclass, e.g.:

      `return new NewEngineIntentBuilder(MyFlutterActivity.class);`

  - ### Method Detail

    - #### initialRoute

          @NonNull
          public FlutterFragmentActivity.NewEngineIntentBuilder initialRoute(@NonNull
                                                                                      String initialRoute)

      The initial route that a Flutter app will render in this `FlutterFragmentActivity`, defaults to "/".

    - #### backgroundMode

          @NonNull
          public FlutterFragmentActivity.NewEngineIntentBuilder backgroundMode(@NonNull
                                                                                        FlutterActivityLaunchConfigs.BackgroundMode backgroundMode)

      The mode of `FlutterFragmentActivity`'s background, either `FlutterActivityLaunchConfigs.BackgroundMode.opaque` or `FlutterActivityLaunchConfigs.BackgroundMode.transparent`.

      The default background mode is `FlutterActivityLaunchConfigs.BackgroundMode.opaque`.

      Choosing a background mode of `FlutterActivityLaunchConfigs.BackgroundMode.transparent` will configure the inner `FlutterView` of this `FlutterFragmentActivity` to be configured with a `FlutterTextureView` to support transparency. This choice has a non-trivial performance impact. A transparent background should only be used if it is necessary for the app design being implemented.

      A `FlutterFragmentActivity` that is configured with a background mode of `FlutterActivityLaunchConfigs.BackgroundMode.transparent` must have a theme applied to it that includes the following property: `<item name="android:windowIsTranslucent">true</item>`.

    - #### build

          @NonNull
          public Intent build(@NonNull
                                       Context context)

      Creates and returns an `Intent` that will launch a `FlutterFragmentActivity` with the desired configuration.